<?php
require_once '../init.php';
require_once MAX_PATH . '/lib/max/BugReporter.php';
$reporter = new MAX_BugReporter();
    
if ($_POST['submitted']) {

    $oBug = new MAX_BugReport((object) $_POST['bug']);
    
    //  send email
    $email = $reporter->buildEmail($oBug);
    $ret = $email->send();
    
    //  post to Trac
    
}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
<head>
    <title>Bug Report</title>
    <script language="javascript">
    function enableField()
    {
        myField = document.getElementById('foo');
        myField.disabled = false;
    }
    </script>
</head>

<body>
<div>
<div>
<form id="bugReport" name="bugReport" method="post" onSubmit="enableField();">
    <h1>Bug Report</h1>
    
    <table>

        <tr>
            <td colspan="2">If you would like to get in touch please fill out the following form and submit your details.</td>
        </tr>

        <tr>
            <td colspan="2">&nbsp;</td>
        </tr>

        <tr>

            <td>First Name:</td>
            <td>
                <input type="text" name="bug[first_name]" value="" size="30" />
            </td>
        </tr>

        <tr>
            <td>Last Name:</td>

            <td>
                <input type="text" name="bug[last_name]" value="" size="30" />
            </td>
        </tr>

        <tr>
            <td>Email:</td>
            <td>
                <input type="text" name="bug[email]" value="" size="30" />

            </td>
        </tr>

        <tr>
            <td>Severity of bug:</td>
            <td>
                <select name="bug[severity]">
                    <option>critical</option>
                    <option>major</option>
                    <option>minor</option>
                    <option>enhancement</option>
                    <option>question</option>
                    <option>feature request</option>
                    <option>not categorized</option>
                </select>
            </td>
        </tr>

        <tr>
            <td>Issue summary</td>
            <td>
                <input type="text" name="bug[summary]" value="" size="61" />

            </td>
        </tr>
        
        <tr>
            <td>Comment:</td>
            <td>
                <textarea name="bug[comment]" cols="60" rows="5"></textarea>
            </td>
        </tr>
        
        <tr>
            <td>Your environment:</td>
            <td>
                <textarea id="foo" name="bug[environment]" cols="100" rows="11" disabled="true">
<?php
print $reporter->buildEnvironmentReport();
?>
                </textarea>
            </td>
        </tr>

        <tr>
            <td colspan="2">
                <input type="submit" name="submitted" value="Send it" />
            </td>
        </tr>
    </table>
</form>
</div>

</div>

</body>
</html>